export declare const Audio: {
    readonly MAX_SAMPLES: 48;
    readonly CHANNELS_PER_SLICE: 16;
    readonly MAX_CHANNELS: 80;
    readonly MAX_CHANNEL_INDEX: 79;
};
export declare const AudioEngine: {
    readonly MAX_INPUTTRIM_CHANNELS: 16;
    readonly MAX_STEREOMIX_CHANNELS: 64;
    readonly MAX_FILTER_INSTANCES: 2048;
    readonly MAX_MS_CHANNELS: 2;
    readonly MAX_COMPRESSOR_CURVE_SIZE: 8;
    readonly MAX_MONOMIX_FADERS: 65;
    readonly MAX_DELAY_CHANNELS: 16;
    readonly MAX_DOWNMIX_CHANNELS: 12;
    readonly MAX_MONOMIX_CHANNELS: 64;
    readonly MAX_NMINUS1_OUTPUTS: 4;
    readonly MAX_NMINUS1_CHANNELS: 256;
    readonly MAX_FILTER_CHANNELS: 16;
    readonly MAX_FILTER_BANDS: 31;
    readonly MAX_COMPRESSOR_CHANNELS: 16;
    readonly MAX_STEREOMIX_FADERS: 65;
    readonly MAX_DELAY_TAPS: 16;
    readonly MAX_MEASURE_CHANNELS: 16;
};
export declare const ClusterSources: {
    readonly SDP_MAX_SIZE: 2047;
    readonly MAX_VIDEO_SOURCES_NUM: 4096;
    readonly MAX_METADATA_SOURCES_NUM: 4096;
    readonly MAX_AUDIO_SOURCES_PER_NODE_NUM: 64;
    readonly MAX_AUDIO_SOURCES_NUM: 4096;
    readonly MAX_MIPMAP_VIDEO_SOURCES_PER_NODE_NUM: 128;
    readonly MAX_VIDEO_SOURCES_PER_NODE_NUM: 64;
    readonly MAX_METADATA_SOURCES_PER_NODE_NUM: 64;
};
export declare const ColorCorrection: {
    readonly MAX_3DLUT_NAME_LENGTH: 80;
};
export declare const IOModule: {
    readonly MAX_BNC_CONNECTORS: 18;
};
export declare const J2KDecoder: {
    readonly MAX_J2K_DECODER_NUM: 8;
};
export declare const Multiviewer: {
    readonly HEADS_NUM_MAX: 240;
};
export declare const Primitives: {
    readonly MIN_INT8: -128;
    readonly MAX_INT16: 32767;
    readonly MAX_UINT16: 65535;
    readonly MAX_INT32: 2147483647;
    readonly MAX_UINT8: 255;
    readonly MIN_INT16: -32768;
    readonly MAX_INT8: 127;
    readonly MAX_UINT32: 4294967295;
    readonly MIN_INT64: -9223372036854775807n;
    readonly MAX_UINT64: 18446744073709551615n;
    readonly MAX_UINT31: 2147483647;
    readonly MIN_INT32: -2147483648;
    readonly MAX_INT64: 9223372036854775807n;
};
export declare const RTPReceiver: {
    readonly MAX_NUM_VIDEO_RECEIVERS: 24;
    readonly AUDIO_SLICES_PER_2022_6_RECEIVER: 2;
    readonly MAX_RESERVE_AUDIO_DECODERS: 16;
    readonly METADATA_DECODERS_PER_MULTIPLEXED_BLOCK: 8;
    readonly NATIVE_VIDEO_DECODERS_PER_MULTIPLEXED_BLOCK: 4;
    readonly JPEG_XS_VIDEO_DECODERS_PER_MULTIPLEXED_BLOCK: 4;
    readonly MAX_BYTES_PER_PACKET: 1536;
};
export declare const RTPTransmitter: {
    readonly MAX_AUDIO_ENCODER: 255;
};
export declare const SampleRateConverter: {
    readonly CHANNELS_PER_SRC: 16;
};
export declare const UDX: {
    readonly NUM_OUTPUTS: 8;
};
export declare const AT1101: {
    readonly NetworkInterfaces: {
        readonly NUM_FPGA_LANES: 4;
    };
    readonly PCap: {
        readonly MAX_ADDR: 134217727;
    };
    readonly Primitives: {
        readonly MAX_STREAM_PORTS: 10;
    };
    readonly RTPReceiver: {
        readonly AUDIO_DECODERS_PER_MULTIPLEXED_BLOCK: 22;
        readonly MAX_PACKETS_PER_BLOCK: 4096;
        readonly AUDIO_SLICES_PER_MULTIPLEXED_BLOCK: 64;
        readonly MAX_RAM_BLOCKS_PER_STREAM: 16;
        readonly TOP_AUDIO_SLICE_PER_MULTIPLEXED_DECODER_BLOCK: 63;
        readonly MAX_BLOCKS_PER_RECEIVER: 16;
    };
};
export declare const AT1130: {
    readonly NetworkInterfaces: {
        readonly NUM_FPGA_LANES: 1;
    };
    readonly PCap: {
        readonly MAX_ADDR: 67108863;
    };
    readonly Primitives: {
        readonly MAX_STREAM_PORTS: 2;
    };
    readonly RTPReceiver: {
        readonly MAX_BYTES_PER_BLOCK: 4194304;
        readonly MAX_BLOCKS_PER_RECEIVER: 24;
        readonly TOP_AUDIO_SLICE_PER_MULTIPLEXED_DECODER_BLOCK: 255;
        readonly AUDIO_SLICES_PER_MULTIPLEXED_BLOCK: 256;
        readonly AUDIO_DECODERS_PER_MULTIPLEXED_BLOCK: 256;
        readonly MAX_RAM_BLOCKS_PER_STREAM: 24;
    };
};
